package com.ycwl.basic.model.pc.broker.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/11/29 14:19
 * 推客，也就是推广人
 */
@Data
@TableName("broker")
public class BrokerEntity {
    @TableId(type = IdType.AUTO)
    private Long id;
    private Long scenicId;
    /**
     * 推客名称
     */
    private String name;
    private String phone;
    /**
     * 专属优惠码，新建时生成
     */
    private String promoCode;
    /**
     * 状态，0禁用，1启用
     */
    private Integer status;
    private Integer brokerEnable;
    private BigDecimal brokerRate;
    private Date createAt;
    private Date updateAt;
}
