package com.ycwl.basic.model.pc.price.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@TableName("price_config")
public class PriceConfigEntity {
    @TableId(type = IdType.AUTO)
    private Integer id;
    /**
     * 景区ID
     */
    private Long scenicId;
    /**
     * 类型：-1一口价，0单个定价，1打包定价
     */
    private Integer type;
    /**
     * 商品ID，多个用逗号隔开
     */
    private String goodsIds;
    /**
     * 价格
     */
    private BigDecimal price;
    /**
     * 划线价格
     */
    private BigDecimal slashPrice;
    private Date createTime;
    private Date updateTime;
}